Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3620 - netstat leeks file descriptors
Summary: netstat leeks file descriptors
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: net-tools
Version: 6.0
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-21 17:35 UTC by vek
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-28 21:46:54 UTC


Attachments (Terms of Use)

Description vek 1999-06-21 17:35:31 UTC
net-tools-1.41-3  netstat 1.37 (1999-01-31)  RH6.0

When running netstat in continuous mode like in

netstat -c -i

tho process will open a new file descriptor on every
cycle until eventually the process rouns out of available
descriptors.

Running with strace confirms that on every cycle an
open of the file "/proc/net/dev" id done, but that file
is never closed.



Villy

Comment 1 Jeff Johnson 1999-07-28 21:46:59 UTC
Fixed in net-tools-1.52-3. Thanks for the report.


Note You need to log in before you can comment on or make changes to this bug.